package com.red.circle.console.app.service.app.sys;


import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.RoomTopFixedCmd;
import com.red.circle.other.inner.model.cmd.sys.RoomTopFixedQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysTopRoomDTO;

/**
 * @author pengliang on 2022/11/16
 */
public interface RoomTopFixedBackService {

  /**
   * 添加或修改.
   */
  void addOrUpdate(RoomTopFixedCmd param);

  /**
   * 移除.
   */
  void remove(Long roomId);

  /**
   * 分页列表.
   */
  PageResult<SysTopRoomDTO> pageRoom(RoomTopFixedQryCmd query);

}
